fil = new Array();
fil["0"]= "common-topics/c_common_DocConv_001.html@@@Documentation conventions@@@Learn about documentation conventions regarding syntax, notes, and code\nexamples...";
fil["1"]= "common-topics/c_common_DocConv_002.html@@@Syntax diagrams@@@A syntax diagram describes the context-free, abstract grammar of a product\nfunction...";
fil["2"]= "common-topics/c_common_DocConv_003.html@@@Notes, tips, and warnings@@@A documentation call-out (Important, Note, Tip, or Warning) is used to highlight content\naside from the main text...";
fil["3"]= "common-topics/c_common_DocConv_004.html@@@Code examples@@@Code examples contain code that can be copied as-is...";
fil["4"]= "common-topics/c_fjs_tm_notices.html@@@Copyrights and Trademarks@@@The Copyright and trademark page is shared amongst all Four Js documentation. Appearance\nin this page does not guarantee a mention within the current document...";
fil["5"]= "flm-topics/c_flm_configuration_example_fgllicense.html@@@Example: fgllicense@@@Details of the license controller configuration file with an example configuration for\nFGLGWS...";
fil["6"]= "flm-topics/c_flm_environment_variables.html@@@Specify the licensing configuration file@@@An FLM or license controller configuration file provides the details for licensing your Genero product. You can enter the license details in the default license controller configuration file, or you can set an environment variable to specify an alternate license controller configuration file...";
fil["7"]= "flm-topics/c_flm_installation_introduction.html@@@Preparing to install Four Js License Manager (FLM)@@@We recommend that you install the latest version of the Four Js License Manager (FLM).\nNew FLM support the latest Genero products, which come with the latest license controller software...";
fil["8"]= "flm-topics/c_flm_what_is_flm.html@@@What is the Four Js License Manager (FLM)?@@@With the license manager you can manage Four Js products installed on the same machine or\nthe same network as the License Manager...";
fil["9"]= "flm-topics/r_flm_environment_variables.html@@@License environment variables@@@These environment variables are relevant for the licensing tools...";
fil["10"]= "flm-topics/t_flm_compat_g320.html@@@Configure licensing with version 6.00 for Genero prior to 3.21@@@To make your Genero 3.20 or Genero 3.10\ninstallation compatible with Four Js License Manager 6.00, you must upgrade the license controller\nto version 6.00 and configure the Genero installation to run in compatibility mode. To use a\nsubscription license with your Genero 3.20 and 3.10 installation, licensing tools version 6.00 is\nrequired; therefore, upgrading the license controller and configuring the Genero installation to run\nin compatibility mode is also required...";
fil["11"]= "flm-topics/t_flm_configuration_controller.html@@@Configure a Genero license controller@@@Edit the license controller configuration file to configure a Genero license controller...";
fil["12"]= "genero-install-topics/c_License_troubleshooting.html@@@Troubleshoot license issues@@@You may become aware of licensing issues when using Genero products via messages output\nfrom the Dynamic Virtual Machine (DVM)...";
fil["13"]= "genero-install-topics/c_bdl_finalize_temporary_license.html@@@Steps to activate temporary BDL license@@@You register the license with Four Js to finalize your\nproduct&apos;s license installation. To complete licensing, select the option (with or without internet)\nthat is right for you and match it with the procedure to follow...";
fil["14"]= "genero-install-topics/c_bdl_install.html@@@Install Genero Business Development Language@@@These topics relate to the installation of Genero Business Development\nLanguage...";
fil["15"]= "genero-install-topics/c_bdl_license.html@@@License Genero Business Development Language@@@The topics in this section give you the information you need to install and manage the\nlicense of your Genero Business Development Language product...";
fil["16"]= "genero-install-topics/c_bdl_license_FGLDIR_lock.html@@@The FGLDIR/lock directory@@@When using a local license, the license controller uses the\nFGLDIR/lock directory to store information (number of active users). A user\nrunning a BDL program must have access rights to this directory. Permissions can be restricted to\nspecific users with FGLWRTUMASK...";
fil["17"]= "genero-install-topics/c_bdl_license_apply_maintenance.html@@@Steps to apply maintenance/subscription key (BDL)@@@You apply a maintenance/subscription key when you are\ninstalling a license for a product and thereafter when you renew your maintenance contract or your subscription\nlicense...";
fil["18"]= "genero-install-topics/c_bdl_license_get_info.html@@@Get license information@@@Get details of the status of the license of your Genero product. For example, get the\nexpiry date of your maintenance contract or subscription, or the installation number for license\nregistration, and so on...";
fil["19"]= "genero-install-topics/c_bdl_license_uninstall.html@@@Uninstall license@@@You may need to uninstall a license if you are making some hardware or software changes...";
fil["20"]= "genero-install-topics/c_bdl_license_upgrade_install.html@@@License an upgraded installation@@@There are some considerations for licensing when upgrading an existing Genero installation to a newer version...";
fil["21"]= "genero-install-topics/c_bdl_license_upgrade_install_2.html@@@License an upgraded installation@@@There are some considerations for licensing when upgrading an existing Genero installation to a newer version...";
fil["22"]= "genero-install-topics/c_bdl_license_use_license_server.html@@@License Genero BDL using the Four Js License Manager (FLM)@@@License your Genero Business Development Language (BDL) installation using a license manager on the network...";
fil["23"]= "genero-install-topics/c_bdl_manage_local_license.html@@@Manage Genero BDL local license@@@Refer to the topics in this section to quickly become familiar with how to perform license management tasks...";
fil["24"]= "genero-install-topics/c_bdl_steps_to_license_success.html@@@Steps to BDL license installation@@@Preparing to license involves evaluating your options based on what licensing tool (GUI or command line) is available to you, and whether you can validate the installed license with Four Js over the internet. Choose the option that is right for you...";
fil["25"]= "genero-install-topics/c_cpu_licenses.html@@@CPU Licenses@@@The CPU license option ensures that a sufficient pool of licenses is available for an\nunspecified number of users connecting to a server to run your applications...";
fil["26"]= "genero-install-topics/c_fjs_genero_product_version_lifecycle.html@@@Install multiple Genero versions@@@Four Js recommends a strategy for installing and using different versions of Genero\nsoftware...";
fil["27"]= "genero-install-topics/c_fjs_installation_conventions.html@@@Installation conventions@@@All Four Js software installations follow conventions which are common between\nproducts...";
fil["28"]= "genero-install-topics/c_fjs_license_compat_320_310.html@@@Genero 3.20 and earlier licensing tool compatibility@@@When using Genero 3.20 or 3.10, ensure the Genero licensing tools are based on compatible\nversions...";
fil["29"]= "genero-install-topics/c_fjs_license_compat_321.html@@@Genero 3.21 and licensing tool compatibility@@@When using Genero 3.21, ensure the Genero licensing tools are based on compatible\nversions...";
fil["30"]= "genero-install-topics/c_fjs_license_compat_401.html@@@Genero 4.01 and licensing tool compatibility@@@When using Genero 4.01, ensure the Genero licensing tools are based on compatible\nversions...";
fil["31"]= "genero-install-topics/c_fjs_license_compat_500.html@@@Genero 5.00 and licensing tool compatibility@@@When using Genero 5.00, ensure the Genero licensing tools are based on compatible\nversions...";
fil["32"]= "genero-install-topics/c_fjs_license_gcompat.html@@@Genero compatibility for licensing@@@Determine the compatibility of different versions of the Genero product family with\nlicensing tools...";
fil["33"]= "genero-install-topics/c_fjs_package_naming.html@@@Software package names@@@Genero software packages use a standard nomenclature...";
fil["34"]= "genero-install-topics/c_fjs_what_where_to_install.html@@@The what, where, and when of installation@@@What you should install (bundled software or individual packages) and where you should\ninstall it (server or workstation), based on what you want to do (development or\nproduction)...";
fil["35"]= "genero-install-topics/c_flm_clientinfo.html@@@Client information@@@The client sends information when connecting to the DVM, which helps to identify the\nclient for a session...";
fil["36"]= "genero-install-topics/c_flm_controller_intro.html@@@License Controller (fglWrt)@@@The fglWrt command line tool is used to install, upgrade, or delete Genero BDL licenses.\nThere are also options to provide various types of license information and statistics...";
fil["37"]= "genero-install-topics/c_flm_controller_upgrade_fglwrt.html@@@License upgrade tool (upgrade-fglwrt)@@@The upgrade-fglwrt command line tool upgrades Genero BDL licensing to the latest\nversion...";
fil["38"]= "genero-install-topics/c_flm_controller_upgrade_grewrt.html@@@License upgrade tool (upgrade-grewrt)@@@The upgrade-grewrt command line tool is used to upgrade GRE licensing to the latest\nversion...";
fil["39"]= "genero-install-topics/c_flm_gre_controller_intro.html@@@License Controller (greWrt)@@@The greWrt command line tool is used to install, upgrade, or delete Genero Report\nEngine and Genero Report Writer licenses. There are also options to provide various types of license\ninformation and statistics...";
fil["40"]= "genero-install-topics/c_flm_install.html@@@Install Four Js License Manager@@@To centralize licensing, install the Four Js License Manager. Four Js License Manager is\na separate product, to be installed in a dedicated directory with its own configuration\nfile...";
fil["41"]= "genero-install-topics/c_flm_install_packages.html@@@Four Js License Manager packages@@@The Four Js License Manager (FLM) software is a self-extractable installation\nprogram...";
fil["42"]= "genero-install-topics/c_flm_install_set_env.html@@@Setting the environment@@@Before starting the Four Js License Manager, the FLMDIR and PATH environment variables must be set...";
fil["43"]= "genero-install-topics/c_flm_installation.html@@@Install FLM@@@Four Js License Manager can be installed on Windows\u00AE, UNIX\u2122, or macOS\u2122 platforms...";
fil["44"]= "genero-install-topics/c_flm_start_stop.html@@@Starting and stopping FLM@@@There are times, such as after making a configuration change, when you will need to\nrestart the Four Js License Manager (FLM). The FLM can be started and stopped from the command line\nusing flmprg commands...";
fil["45"]= "genero-install-topics/c_flm_usage_start_flm.html@@@Starting Four Js License Manager@@@Starting FLM on Windows\u00AE,\nUNIX\u2122, or macOS\u2122 platforms...";
fil["46"]= "genero-install-topics/c_flm_usage_start_server_macos.html@@@Start the FLM daemon on macOS@@@On macOS\u2122 the License Manager runs\nas a daemon...";
fil["47"]= "genero-install-topics/c_flm_usage_start_server_unix.html@@@Start the FLM daemon on UNIX platforms@@@On Linux\u00AE/UNIX\u2122 the License Manager runs as a daemon...";
fil["48"]= "genero-install-topics/c_flm_usage_start_server_win.html@@@Start the FLM service (Windows only)@@@On Windows\u00AE the License Manager runs as a\nservice...";
fil["49"]= "genero-install-topics/c_flm_usage_stop_flm.html@@@Stopping license manager@@@Stopping FLM on Windows\u00AE,\nUNIX\u2122, or macOS\u2122 platforms...";
fil["50"]= "genero-install-topics/c_flm_usage_stop_server_macos.html@@@Stop the FLM daemon on macOS@@@Stop the License Manager daemon...";
fil["51"]= "genero-install-topics/c_flm_usage_stop_server_unix.html@@@Stop the FLM daemon on UNIX platforms@@@Stop the License Manager daemon...";
fil["52"]= "genero-install-topics/c_flm_usage_stop_server_win.html@@@Stop the FLM service (Windows only)@@@Stop the License Manager service...";
fil["53"]= "genero-install-topics/c_flm_version_compat.html@@@License controller versions@@@When patching a license controller, what version information do you need to examine when\nconsidering compatibility with the Four Js License Manager (FLM) and with the Dynamic Virtual\nMachine (DVM)?...";
fil["54"]= "genero-install-topics/c_gas_install.html@@@Install Genero Application Server@@@These topics relate to the installation of the Genero Application Server...";
fil["55"]= "genero-install-topics/c_gbc_install.html@@@Install Genero Browser Client@@@This topic relates to the installation of the Genero Browser Client (GBC)...";
fil["56"]= "genero-install-topics/c_gci_images.html@@@Install Genero Container Image@@@This topic relates to deploying Genero applications using Genero Containers...";
fil["57"]= "genero-install-topics/c_gdc_install.html@@@Install Genero Desktop Client@@@These topics relate to the installation of the Genero Desktop Client...";
fil["58"]= "genero-install-topics/c_genero_install_intro.html@@@Install and License your Genero Products@@@These are the installation instructions for all packages provided by the Genero\nEnterprise suite...";
fil["59"]= "genero-install-topics/c_genero_install_reference.html@@@Installation and Licensing reference@@@Reference topics about the installation and licensing of Genero Enterprise software\nproducts...";
fil["60"]= "genero-install-topics/c_genero_install_troubleshoot.html@@@Installation troubleshooting tips@@@If you have an issue during installation, generating a log of the installation can\nprovide valuable information for support...";
fil["61"]= "genero-install-topics/c_genero_license_migrating.html@@@Upgrading@@@These topics talk about what steps you need to take to upgrade to the next release of Genero licensing, and allows you to identify which features were added for a specific version...";
fil["62"]= "genero-install-topics/c_genero_license_migrationnotes_intro.html@@@Upgrade Guides for Licensing@@@Review the list of migration recommendations each time you move to a new version...";
fil["63"]= "genero-install-topics/c_genero_license_new_features.html@@@New Features of Genero License@@@These topics provide a look back at the new features introduced with each release of Genero License...";
fil["64"]= "genero-install-topics/c_genero_licenser_what_is.html@@@What is the Genero Licenser?@@@The Genero Licenser is a browser-based graphical user interface (GUI)\nlicense management tool you can use to install, update, and manage your Genero product license on a\nlocal server...";
fil["65"]= "genero-install-topics/c_genero_uninstall.html@@@Uninstalling Genero packages and programs@@@How you uninstall a Genero package or program depends on your operating\nsystem...";
fil["66"]= "genero-install-topics/c_ggc_install.html@@@Install Genero Ghost Client@@@This topic relates to the installation of the Genero Ghost Client (GGC)...";
fil["67"]= "genero-install-topics/c_gm_license.html@@@License Genero Mobile@@@To license Genero Mobile, you license the Genero Business Development Language. Please\nsee the topics covering the licensing of Genero Business Development Language...";
fil["68"]= "genero-install-topics/c_gma_install.html@@@Install the Genero Mobile for Android front-end application@@@Install Genero Mobile for Android\u2122 (GMA) with Genero Studio, or download the package and install from the command line...";
fil["69"]= "genero-install-topics/c_gmi_install.html@@@Install the Genero Mobile for iOS front-end application@@@Install Genero Mobile for iOS with Genero Studio, download and install from the App\nStore, or download the package and install from the command line...";
fil["70"]= "genero-install-topics/c_gre_finalize_temporary_license.html@@@Steps to activate temporary GRE license@@@You register the license with Four Js to finalize your\nproduct&apos;s license installation. To complete licensing, select the option (with or without internet)\nthat is right for you and match it with the procedure to follow...";
fil["71"]= "genero-install-topics/c_gre_install.html@@@Install Genero Report Engine@@@These topics relate to the installation of the Genero Report Engine (GRE)...";
fil["72"]= "genero-install-topics/c_gre_license.html@@@License Genero Report Engine@@@These topics give you the information you need to install and manage the license of\nyour Genero Report Engine (GRE)...";
fil["73"]= "genero-install-topics/c_gre_license_apply_maintenance.html@@@Steps to apply maintenance/subscription key (GRE)@@@You apply a maintenance/subscription key when you are\ninstalling a license for a product and thereafter when you renew your maintenance contract or your subscription\nlicense...";
fil["74"]= "genero-install-topics/c_gre_license_get_info.html@@@Get license information@@@Get details of the status of the license of your Genero product, for example, the\nmaintenance contract or subscription expiry date, or the installation number for license\nregistration...";
fil["75"]= "genero-install-topics/c_gre_license_uninstall.html@@@Uninstall license@@@You may need to uninstall a license if you are making some hardware or software changes...";
fil["76"]= "genero-install-topics/c_gre_license_use_license_server.html@@@License Genero Report Engine using the Four Js License Manager@@@License your Genero Report Engine (GRE) installation using a license manager on the network...";
fil["77"]= "genero-install-topics/c_gre_manage_local_license.html@@@Manage Genero Report Engine local license@@@Refer to the topics in this section to quickly become familiar with how to perform license management tasks...";
fil["78"]= "genero-install-topics/c_gre_steps_to_license_success.html@@@Steps to GRE license installation@@@Preparing to license involves evaluating your options based on what licensing tool (GUI or command line) is available to you, and whether you can validate the installed license with Four Js over the internet. Choose the option that is right for you...";
fil["79"]= "genero-install-topics/c_gst_install.html@@@Install Genero Studio@@@These topics relate to the installation of the Genero Studio...";
fil["80"]= "genero-install-topics/c_gstsrv_install.html@@@Install Genero Studio Server Suite@@@These topics relate to the installation of the Genero Studio Server Suite...";
fil["81"]= "genero-install-topics/c_import_license.html@@@Import license from another installation@@@Licenses can be moved from one Genero installation to another...";
fil["82"]= "genero-install-topics/c_install_migrate_600.html@@@Licensing 6.00 upgrade guide@@@These topics describe product changes you must be aware of when upgrading to version 6.00...";
fil["83"]= "genero-install-topics/c_jgas_install.html@@@Install Genero Application Server for Java@@@This topic relates to the installation of the JGAS...";
fil["84"]= "genero-install-topics/c_licence_controller_what_is.html@@@What is the License Controller?@@@The License Controller is a license management tool for controlling product licenses\nand is installed with your Genero product...";
fil["85"]= "genero-install-topics/c_licence_details.html@@@Recognizing a license number@@@By examining the license number, you can identify the product it licenses. Details for\nlicensing your Genero products are delivered by email...";
fil["86"]= "genero-install-topics/c_license_basics.html@@@Using a license@@@Having bought a license, you may have some questions about how it all works. Review these topics to find answers to your questions...";
fil["87"]= "genero-install-topics/c_license_counting.html@@@Estimating how many licenses you need@@@Information about how runtime licenses are consumed may help you use licenses as efficiently as possible...";
fil["88"]= "genero-install-topics/c_license_details_reference.html@@@License details reference@@@A reference to license details...";
fil["89"]= "genero-install-topics/c_license_details_reference_2.html@@@License details reference@@@A reference to license details...";
fil["90"]= "genero-install-topics/c_license_faq_h2install.html@@@Installing licenses@@@Four Js provides tools for installing your license locally or centralizing your license\ninstallation...";
fil["91"]= "genero-install-topics/c_license_faq_hwswdelta.html@@@What hardware or software changes affect licensing?@@@Some hardware changes affect licensing...";
fil["92"]= "genero-install-topics/c_license_logs.html@@@License logs@@@Logging can be enabled for the Four Js License Manager (FLM) and for any Genero license\ncontroller...";
fil["93"]= "genero-install-topics/c_license_manage_active_user_list.html@@@Managing the active users@@@The license controller maintains a register of active users of licenses.\nThe topics in this section describe ways you can manage license users...";
fil["94"]= "genero-install-topics/c_license_perpetual.html@@@Managing a perpetual license@@@This topic answers frequently asked questions about perpetual licenses...";
fil["95"]= "genero-install-topics/c_license_runtime_development.html@@@Development and runtime licenses by product@@@Four Js provides both development and runtime licenses...";
fil["96"]= "genero-install-topics/c_license_subscription.html@@@Managing a subscription license@@@This topic answers frequently asked questions about subscription licenses...";
fil["97"]= "genero-install-topics/c_license_temporary.html@@@Temporary licenses@@@A temporary license is the state of a license after it has been installed, but before it is activated with\nFour Js...";
fil["98"]= "genero-install-topics/c_license_terms.html@@@Subscription and perpetual licenses@@@Deciding on a license term depends on your software needs and/or on the duration of the license you require;\nwhether you want to use a subscription-based licensing model or the perpetual licensing model for your runtime and/or\ndevelopment licenses...";
fil["99"]= "genero-install-topics/c_license_tools.html@@@Tools and Commands@@@Information about the license command line utilities...";
fil["100"]= "genero-install-topics/c_license_types.html@@@Standard, evaluation, and backup licenses@@@A Genero product can be installed under a standard license, an evaluation license, or a backup\nlicense...";
fil["101"]= "genero-install-topics/c_license_upgrade_tools.html@@@License upgrade tools@@@Information about license upgrade command line tools...";
fil["102"]= "genero-install-topics/c_license_usage_display_license_info_stats.html@@@Displaying environment and statistics@@@When the Four Js License Manager is used for licensing, it works with the license controller locally to access information. The topics in this section describe license controller options that apply to the use of the FLM...";
fil["103"]= "genero-install-topics/c_multiuser_licenses.html@@@Multi-user licensing@@@A license is needed for every server where a Genero product is installed and for every\nuser that can access it to run your applications...";
fil["104"]= "genero-install-topics/c_understand_licensing.html@@@Understanding Genero licensing@@@To purchase the right type of Genero license, you must understand the basics of Genero\nlicensing...";
fil["105"]= "genero-install-topics/c_user_licenses.html@@@User Licenses@@@The User license option ensures that a sufficient pool of licenses is available where a\nspecified number of users may connect to a server to run applications...";
fil["106"]= "genero-install-topics/genero_license_whatsnew_518v.html@@@Licensing 5.18 new features@@@Review this topic for information about new features and changes in existing functionality that have been introduced in this release of the Genero Licensing manual...";
fil["107"]= "genero-install-topics/genero_license_whatsnew_519.html@@@Licensing 5.19 new features@@@Review this topic for information about new features and changes in existing functionality that have been introduced in this release of the Genero Licensing manual...";
fil["108"]= "genero-install-topics/genero_license_whatsnew_520.html@@@Licensing 5.20 new features@@@Review this topic for information about new features and changes in existing functionality that have been introduced in this release of the Genero Licensing manual...";
fil["109"]= "genero-install-topics/genero_license_whatsnew_600v.html@@@Licensing 6.00 new features@@@Review this topic for information about new features and changes in existing\nfunctionality that have been introduced in this release of the Genero Licensing manual...";
fil["110"]= "genero-install-topics/r_flm_systemd_template.html@@@Systemd service template@@@Using the license manager systemd template allows you to run commands to stop and start\nthe service using systemctl in Linux\u00AE systems...";
fil["111"]= "genero-install-topics/r_license_terminology.html@@@Glossary of licensing terms@@@A glossary of terms used in Genero licensing...";
fil["112"]= "genero-install-topics/t_bdl_finalize_temporary_license_fglwrt_with_internet.html@@@Activate your BDL license from the command line (via internet)@@@If a Genero Business Development Language (BDL) license has been installed, you can\nactivate it using the command fglWrt -k auto. The license is registered with Four Js via the internet\nand the installation and maintenance/subscription key is installed...";
fil["113"]= "genero-install-topics/t_bdl_finalize_temporary_license_fglwrt_without_internet.html@@@Activate your BDL license from the command line (no internet)@@@Without internet access, you register the\nlicense with Four Js from another machine via the internet, or by phone.  Then activate your BDL license using the fglWrt command line tool...";
fil["114"]= "genero-install-topics/t_bdl_finalize_temporary_license_gui_with_internet.html@@@Activate your BDL license using GUI and internet@@@If a Genero Business Development Language (BDL) license has been installed, you can\nactivate it using the Genero licensing graphical interface. The license is registered with Four Js via the internet\nand the installation and maintenance/subscription key is installed...";
fil["115"]= "genero-install-topics/t_bdl_finalize_temporary_license_gui_without_internet.html@@@Activate your BDL license using GUI without internet@@@Without internet access, you register the\nlicense with Four Js from another machine via the internet, or by phone. Then\nactivate your license using the user interface...";
fil["116"]= "genero-install-topics/t_bdl_install_maintenance_key_fglwrt_with_internet.html@@@Install or update BDL maintenance/subscription key from the command line (via internet)@@@You can install or update the maintenance/subscription key of your BDL product using\nthe command fglWrt -m auto...";
fil["117"]= "genero-install-topics/t_bdl_install_maintenance_key_fglwrt_without_internet.html@@@Install or update BDL maintenance/subscription key from the command line (no internet)@@@Without internet access, you register the\nlicense with Four Js from another machine via the internet, or by phone.  Then\nuse the fglWrt command line tool to install or update the\nmaintenance/subscription key of your product...";
fil["118"]= "genero-install-topics/t_bdl_install_maintenance_key_gui_with_internet.html@@@Install or update BDL maintenance/subscription key using GUI and internet@@@Use the Genero licensing graphical interface to install or update your\nmaintenance/subscription key...";
fil["119"]= "genero-install-topics/t_bdl_install_maintenance_key_gui_without_internet.html@@@Install or update BDL maintenance/subscription key using GUI without internet@@@Without internet access, you register the\nlicense with Four Js from another machine via the internet, or by phone.  Then\nuse the Genero licensing graphical interface to install or update the maintenance/subscription key\nof your product...";
fil["120"]= "genero-install-topics/t_bdl_license_fglwrt_with_internet.html@@@License BDL from the command line (via internet)@@@You can license a Genero Business Development Language (BDL) product using the command\nline tool, fglWrt...";
fil["121"]= "genero-install-topics/t_bdl_license_fglwrt_without_internet.html@@@License BDL from the command line (no internet)@@@Without internet access, you register the\nlicense with Four Js from another machine via the internet, or by phone. Then\nuse the fglWrt command line tool to license your Genero Business Development\nLanguage (BDL) product...";
fil["122"]= "genero-install-topics/t_bdl_license_get_info_using_fglwrt.html@@@Get license information using fglWrt@@@Get details of the status of the license of your Genero product...";
fil["123"]= "genero-install-topics/t_bdl_license_get_info_using_gui.html@@@Get license information using BDL licenser@@@Get details about your Genero Business Development Language (BDL) license using the Genero licensing graphical interface...";
fil["124"]= "genero-install-topics/t_bdl_license_gui_with_internet.html@@@License BDL using GUI and internet@@@You can license a Genero Business Development Language (BDL) product using the Genero licensing graphical interface...";
fil["125"]= "genero-install-topics/t_bdl_license_gui_without_internet.html@@@License BDL using GUI without internet@@@Without internet access, you register the\nlicense with Four Js from another machine via the internet, or by phone. Then\nuse the user interface to license your Genero Business Development Language (BDL) product...";
fil["126"]= "genero-install-topics/t_bdl_license_uninstall_with_fglwrt.html@@@Uninstall license from command line@@@Use the fglWrt -d command to uninstall your Genero BDL product license...";
fil["127"]= "genero-install-topics/t_bdl_license_uninstall_with_gui.html@@@Uninstall license with BDL Licenser@@@Use the Genero licensing graphical interface to uninstall your Genero BDL product license...";
fil["128"]= "genero-install-topics/t_fgl_gwa_install.html@@@Install Genero Web Application@@@To build and package Genero Web applications, you must first install Genero Web\nApplication (GWA)...";
fil["129"]= "genero-install-topics/t_flm_olddvmvers_patching_dvm_license_controller.html@@@Patch license controller using the upgrade tool@@@To make an older version of the Genero Dynamic Virtual Machine (DVM) and/or the Genero Report Engine compliant with the Four Js License Manager, or to use subscription licensing, you need to update the license controller...";
fil["130"]= "genero-install-topics/t_flm_upgrade_flm_without_reapplying_licenses.html@@@Upgrade the FLM without reinstalling licenses@@@Install a new version of Four Js license manager 6.00 without reinstalling your existing\nlicenses...";
fil["131"]= "genero-install-topics/t_get_maintenance_key_from_4js_website.html@@@Get the maintenance/subscription key@@@You get the maintenance/subscription key from the\nFour Js website to ensure you have a valid key\nto install or update your product&apos;s license...";
fil["132"]= "genero-install-topics/t_get_maintenance_key_from_4js_website_2.html@@@Get the maintenance/subscription key@@@You get the maintenance/subscription key from the\nFour Js website to ensure you have a valid key\nto install or update your product&apos;s license...";
fil["133"]= "genero-install-topics/t_gm_find_app_size.html@@@Find your mobile app p-code size@@@If you have a Genero Mobile free developer license, use this procedure to determine your app&apos;s p-code size...";
fil["134"]= "genero-install-topics/t_gre_finalize_temporary_license_grewrt_with_internet.html@@@Activate your GRE license from the command line (via internet)@@@If a Genero Report Engine (GRE) license has been installed, you can activate it using the command greWrt -k auto. The license is registered with Four Js via the internet\nand the installation and maintenance/subscription key is installed...";
fil["135"]= "genero-install-topics/t_gre_finalize_temporary_license_gui_with_internet.html@@@Activate your GRE license using GUI and internet@@@If a Genero Report Engine (GRE) license has been installed, you can activate it using the Genero licensing graphical interface. The license is registered with Four Js via the internet\nand the installation and maintenance/subscription key is installed...";
fil["136"]= "genero-install-topics/t_gre_finalize_temporary_license_gui_without_internet.html@@@Activate your GRE license using GUI without internet@@@Without internet access, you register the\nlicense with Four Js from another machine via the internet, or by phone.  Then\nactivate your GRE license using the user interface...";
fil["137"]= "genero-install-topics/t_gre_install_maintenance_key_grewrt_with_internet.html@@@Install or update GRE maintenance/subscription key from command line (via internet)@@@You can install or update the maintenance/subscription key of your Genero\nReport Engine (GRE) product using the command, greWrt -m auto. During\ninstallation the key is retrieved from Four Js via the internet...";
fil["138"]= "genero-install-topics/t_gre_install_maintenance_key_grewrt_without_internet.html@@@Install or update GRE maintenance/subscription key from the command line (no internet)@@@Without internet access, you register the\nlicense with Four Js from another machine via the internet, or by phone.  Then\nuse the greWrt command line tool to install or update the maintenance/subscription key of your product...";
fil["139"]= "genero-install-topics/t_gre_install_maintenance_key_gui_with_internet.html@@@Install or update GRE maintenance/subscription key using GUI and internet@@@Use the Genero user interface to install or update your maintenance/subscription key...";
fil["140"]= "genero-install-topics/t_gre_install_maintenance_key_gui_without_internet.html@@@Install or update GRE maintenance/subscription key using GUI without internet@@@Without internet access, you register the\nlicense with Four Js from another machine via the internet, or by phone. Then\nuse the Genero user interface to install or update the maintenance/subscription key of your Genero\nReport Engine (GRE) product...";
fil["141"]= "genero-install-topics/t_gre_license_get_info_using_grewrt.html@@@Get license information using greWrt@@@Get details about your Genero Report Engine (GRE) license using the\ngreWrt command...";
fil["142"]= "genero-install-topics/t_gre_license_get_info_using_gui.html@@@Get license information using GRE licenser@@@Get details about your Genero Report Engine (GRE) license using the Genero licensing graphical interface...";
fil["143"]= "genero-install-topics/t_gre_license_grewrt_with_internet.html@@@License GRE from the command line (via internet)@@@You can license a Genero Report Engine (GRE) product using the command line tool,\n            greWrt...";
fil["144"]= "genero-install-topics/t_gre_license_grewrt_without_internet.html@@@License GRE from the command line (no internet)@@@Without internet access, you register the\nlicense with Four Js from another machine via the internet, or by phone.  Then use the greWrt command line tool to license your Genero Report Engine (GRE) product...";
fil["145"]= "genero-install-topics/t_gre_license_gui_with_internet.html@@@License GRE using GUI and internet@@@You can license a Genero Report Engine (GRE) product installation using the Genero\nReport Engine Licenser GUI application...";
fil["146"]= "genero-install-topics/t_gre_license_gui_without_internet.html@@@Licence GRE using GUI without internet@@@Without internet access, you register the\nlicense with Four Js from another machine via the internet, or by phone. Then use the user interface to license your Genero Report Engine (GRE)\n        product...";
fil["147"]= "genero-install-topics/t_gre_license_uninstall_with_grewrt.html@@@Uninstall license from command line@@@Use the greWrt -d command to uninstall your Genero Report\nEngine (GRE) product license...";
fil["148"]= "genero-install-topics/t_gre_license_uninstall_with_gui.html@@@Uninstall license with GRE licenser@@@Use the Genero licensing graphical interface to uninstall your Genero Report Engine\n        (GRE)  product license...";
fil["149"]= "genero-install-topics/t_grw_finalize_temporary_license_grewrt_without_internet.html@@@Activate your GRE license from the command line (no internet)@@@Without internet access, you register the\nlicense with Four Js from another machine via the internet, or by phone. Then\nactivate your GRE license using the greWrt command line tool...";
fil["150"]= "genero-install-topics/t_import_license.html@@@Import license from Genero installation@@@Import a license from a Genero installation...";
fil["151"]= "genero-install-topics/t_licence_controller_check_flm_started.html@@@Check Four Js License Manager (FLM) is started@@@Follow this procedure to check if the FLM is started...";
fil["152"]= "genero-install-topics/t_license_controller_clean_reg_user_list.html@@@Clean registered users list@@@Generally, you never need to clean the registered users list on a host, but if, for example, a DVM crashes and the associated unreleased licenses would not be recovered otherwise,\n  use this procedure to clear the list...";
fil["153"]= "genero-install-topics/t_license_controller_display_active_users.html@@@Display registered active users information@@@Use this procedure to display the registered active user list of the current license...";
fil["154"]= "genero-install-topics/t_license_controller_display_cpu_info.html@@@Display CPUs (cores) information@@@Use this procedure on the application server where the Genero runtime is installed,\n        to determine the exact number of CPUs (cores/threads) for CPU licensing...";
fil["155"]= "genero-install-topics/t_license_controller_display_env.html@@@Display environment information@@@Use this procedure to display information about the environment of your machine where the license is installed...";
fil["156"]= "genero-install-topics/t_license_controller_display_process_id_list.html@@@Display the process Id List@@@Use this procedure to display the current list of processes on your machine...";
fil["157"]= "genero-install-topics/t_license_controller_display_stats.html@@@Display Statistics@@@Use this procedure to display statistical information on the use of a specific license on a machine when a License Manager is used for license control...";
fil["158"]= "genero-install-topics/t_license_controller_drop_session.html@@@Drop session@@@Use this procedure to drop a session referenced by a specified process id on a host...";
fil["159"]= "genero-install-topics/t_license_controller_force_check.html@@@Force a check of registered users list@@@After a system crash or an abnormal termination of an application, use this procedure to force a check of the registered users list on the current machine...";
fil["160"]= "genero-install-topics/t_license_encode_license_string.html@@@Encode a license string@@@If you are not provided with a license string, you can take your license number, license\nkey, maintenance /subscription key, and login and generate a license string using the fglWrt command...";
fil["161"]= "genero-install-topics/t_license_purchase.html@@@Selecting a license to purchase@@@When purchasing a license for your Genero products, you must select what type of licenses to purchase.\nDeciding what types of licenses to purchase requires you to evaluate your licensing needs: development or runtime,\nnumber of concurrent users, duration of license, and so on...";
fil["162"]= "genero-install-topics/t_register_licence.html@@@Register your license@@@To validate your license, you must register it on the Four Js website. You can access the website from any machine or smart phone...";
fil["163"]= "genero-install-topics/t_register_licence_2.html@@@Register your license@@@To validate your license, you must register it on the Four Js website. You can access the website from any machine or smart phone...";
fil["164"]= "genero-install-topics/t_register_troubleshooting.html@@@Troubleshooting license registration@@@When registering your license on the Four Js website you may get an error message. More than likely you need to request a new activation key...";
fil["165"]= "genero-install-topics/t_register_troubleshooting_2.html@@@Troubleshooting license registration@@@When registering your license on the Four Js website you may get an error message. More than likely you need to request a new activation key...";
var doStem = false;searchLoaded = true;